// Lists
// -------------------------

// Unordered and Ordered lists
ul,
ol {
    margin-top: 0;
    margin-bottom: 0;
    ul,
    ol {
        margin-bottom: 0;
    }
}


// List options

// Unstyled keeps list items block level, just removes default browser padding and list-style
.list-unstyled {
    padding-left: 0;
    list-style: none;
}

// Inline turns list items into inline-block
.list-inline {
    .list-unstyled();
    margin-left: -5px;

    > li {
        display: inline-block;
        padding-left: 5px;
        padding-right: 5px;
    }
}

//comma separated
.list-csv {
    .list-inline();
    margin-left: 0;

    > li {
        padding-left: 0;

        &::after {
            content: ",";
        }
        &:last-child::after {
            content: "";
        }
    }
}
.list-pipe-separated {
    .list-inline();
    display: flex; // Prevents the mystery gap between elements

    > li {
        border-right: 1px solid @dark-gray-color;
        &:last-child {
            border-right: 0;
        }
    }
}

dl {
    dt {
        font-weight: bold;
    }
}

// reset the visualization of different levels of unordered lists
.formatted-content ul {
    list-style-type: disc;

    ul {
        list-style-type: circle;

        ul {
            list-style-type: square;
        }
    }
}

ul.default {
    list-style: inside;
    margin: 0;
    padding: 0;

    li:only-child {
        list-style: none;
    }
    li:not(:last-child) {
        margin-bottom: 0.25em;
    }
}
